// packageI/tagCloud/search/index.js
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    loading: true,
    list:[],
    title: '',
    //more
    current_page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    last_page: 0 //总页数
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },
  gotoUrl(e){
    let _link = e.currentTarget.dataset.link;
    if(!_link) return;
    try {
      wx.navigateTo({
        url: _link
      });
    } catch (error) {
      wx.reLaunch({
        url: _link
      });
    }
  },
  getData(){
    let urlStr = app.getNetAddresss('plugin.tg-decorate.frontend.app.search');
    app._postNetWork({
      url: urlStr,
      data: {
        title: this.data.title
      },
      success: (resdata) => {
        let res = resdata.data;
        if (res.result == 1) {
          this.setData({
            loading: false,
            list: res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        } else {
          app.tips(res.msg)
        }
      },
      fail: function (res) {}
    });
  },
  getMore() {
    let json = {
      page: this.data.page + 1,
      title: this.data.title
    };
    let urlStr = app.getNetAddresss("plugin.tg-decorate.frontend.app.search");
    app._getNetWork({
      url: urlStr,
      data: json,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          this.setData({
            list: that.data.list.concat(res.data.data.data),
            current_page: res.data.current_page,
            last_page: res.data.last_page,
            page: this.data.page + 1
          });
        } else {
          app.tips(res.msg)
        }
      },
      fail: function (res) {},
    });
  },
  changeKeyword(e) {
    this.setData({
      title: e.detail
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})